import { defineContainer } from './vue-component-lib/utils';
import { defineCustomElements } from '@govbr-ds-testing/webcomponents/loader';
defineCustomElements();
export const BrxAvatar = defineContainer('brx-avatar', undefined, [
    'size',
    'src',
    'alt',
    'name',
    'mode',
    'contentClass'
]);
export const BrxBreadcrumb = defineContainer('brx-breadcrumb', undefined, [
    'dropdownId'
]);
export const BrxBreadcrumbCard = defineContainer('brx-breadcrumb-card', undefined, [
    'hidden'
]);
export const BrxBreadcrumbItem = defineContainer('brx-breadcrumb-item', undefined, [
    'home',
    'active'
]);
export const BrxButton = defineContainer('brx-button', undefined, [
    'nativeClass',
    'buttonType',
    'disabled',
    'download',
    'href',
    'rel',
    'strong',
    'target',
    'type',
    'block',
    'circle',
    'darkMode',
    'active',
    'loading',
    'color',
    'size',
    'variant',
    'signin',
    'magic',
    'brxFocus',
    'brxBlur'
]);
export const BrxCheckbox = defineContainer('brx-checkbox', undefined, [
    'label',
    'name',
    'checked',
    'controlledChecked',
    'indeterminate',
    'disabled',
    'size',
    'valid',
    'danger',
    'invalid',
    'state',
    'darkMode',
    'hiddenLabel',
    'inputId',
    'value',
    'child',
    'propParent',
    'checkAllLabel',
    'uncheckAllLabel',
    'brxChange',
    'brxUpdate',
    'brxFocus',
    'brxBlur'
]);
export const BrxCheckgroup = defineContainer('brx-checkgroup', undefined);
export const BrxIcon = defineContainer('brx-icon', undefined, [
    'name',
    'loadResources',
    'iconClass'
]);
export const BrxInput = defineContainer('brx-input', undefined, [
    'value',
    'controlledValue',
    'accept',
    'autocapitalize',
    'autocomplete',
    'autocorrect',
    'autofocus',
    'clearInput',
    'clearOnEdit',
    'disabled',
    'enterkeyhint',
    'inputmode',
    'max',
    'maxlength',
    'min',
    'minlength',
    'multiple',
    'name',
    'pattern',
    'placeholder',
    'readonly',
    'required',
    'spellcheck',
    'step',
    'size',
    'type',
    'label',
    'hiddenLabel',
    'labelClass',
    'inline',
    'inputId',
    'density',
    'startIconName',
    'color',
    'enablePasswordToggle',
    'brxInput',
    'brxChange',
    'brxBlur',
    'brxFocus'
]);
export const BrxItem = defineContainer('brx-item', undefined, [
    'button',
    'disabled',
    'selected'
]);
export const BrxList = defineContainer('brx-list', undefined, [
    'horizontal',
    'lines',
    'headerTitle'
]);
export const BrxListHeader = defineContainer('brx-list-header', undefined, [
    'headerTitle'
]);
export const BrxRadio = defineContainer('brx-radio', undefined, [
    'checked',
    'controlledChecked',
    'buttonTabindex',
    'name',
    'disabled',
    'value',
    'label',
    'inputId',
    'brxFocus',
    'brxBlur',
    'brxChange',
    'brxUpdate'
]);
export const BrxRadioGroup = defineContainer('brx-radio-group', undefined, [
    'labelId',
    'label',
    'name',
    'value',
    'controlledValue',
    'allowEmptySelection',
    'brxRadioGroupChange',
    'brxRadioGroupUpdate'
]);
export const BrxSelect = defineContainer('brx-select', undefined, [
    'darkMode',
    'hideSearchIcon',
    'placeholder',
    'name',
    'nativeSelect',
    'label',
    'inputId',
    'multiple',
    'disableToggleAll',
    'selectAllLabel',
    'unselectAllLabel',
    'value',
    'controlledValue',
    'brxChange',
    'brxFilterInputChange'
]);
export const BrxSelectOption = defineContainer('brx-select-option', undefined, [
    'label',
    'inputId',
    'multiple',
    'highlighted',
    'value',
    'checked',
    'visible',
    'brxSelectOptionChange'
]);
export const BrxSelectToggle = defineContainer('brx-select-toggle', undefined, [
    'expanded'
]);
export const BrxSwitch = defineContainer('brx-switch', undefined, [
    'label',
    'name',
    'checked',
    'controlledChecked',
    'indeterminate',
    'disabled',
    'icon',
    'size',
    'alignLabel',
    'valid',
    'danger',
    'invalid',
    'state',
    'darkMode',
    'hiddenLabel',
    'inputId',
    'labelEnabled',
    'labelDisabled',
    'value',
    'brxChange',
    'brxUpdate',
    'brxFocus',
    'brxBlur'
]);
export const BrxTab = defineContainer('brx-tab', undefined, [
    'counter',
    'label',
    'value',
    'iconName',
    'tabTitle',
    'tooltipText'
]);
export const BrxTable = defineContainer('brx-table', undefined, [
    'density'
]);
export const BrxTableActionsTrigger = defineContainer('brx-table-actions-trigger', undefined);
export const BrxTableFooter = defineContainer('brx-table-footer', undefined);
export const BrxTableHeader = defineContainer('brx-table-header', undefined);
export const BrxTableHeaderTopBar = defineContainer('brx-table-header-top-bar', undefined);
export const BrxTableSearchBar = defineContainer('brx-table-search-bar', undefined);
export const BrxTableSearchTrigger = defineContainer('brx-table-search-trigger', undefined);
export const BrxTableSelectedBar = defineContainer('brx-table-selected-bar', undefined);
export const BrxTableTitle = defineContainer('brx-table-title', undefined);
export const BrxTag = defineContainer('brx-tag', undefined, [
    'selected',
    'interaction',
    'interactionSelect'
]);
export const BrxTextarea = defineContainer('brx-textarea', undefined, [
    'inputId',
    'value',
    'controlledValue',
    'darkMode',
    'label',
    'inline',
    'counter',
    'color',
    'fireFocusEvents',
    'autocapitalize',
    'autofocus',
    'clearOnEdit',
    'disabled',
    'inputmode',
    'enterkeyhint',
    'maxlength',
    'minlength',
    'name',
    'placeholder',
    'readonly',
    'required',
    'spellcheck',
    'cols',
    'rows',
    'wrap',
    'brxChange',
    'brxInput',
    'brxBlur',
    'brxFocus'
]);
//# sourceMappingURL=components.js.map